erro no upload de indicador

Para adicionar comentários, por favor Faça o login ou registrar
Samuel Manoel De Souza
4892
Samuel Manoel De Souza  

Alguém já teve esse problema e saberia como resolver? Já atualizei o terminal e reescrevi o indicador, mas continua dando erro.

Rogerio Giannetti Torres
3143
Rogerio Giannetti Torres  
Samuel Manoel De Souza:

Alguém já teve esse problema e saberia como resolver? Já atualizei o terminal e reescrevi o indicador, mas continua dando erro.

Olá Samuel,

Esse erro é bem claro, o Visual_book foi compilado com uma BUILD mais atual que a BUILD do seu terminal. Tem certeza que atualizou seu MT5 para buid 1915?

Flavio Jarabeck
133333
Flavio Jarabeck  
Samuel Manoel De Souza:

Alguém já teve esse problema e saberia como resolver? Já atualizei o terminal e reescrevi o indicador, mas continua dando erro.

Rogerio Giannetti Torres:

Olá Samuel,

Esse erro é bem claro, o Visual_book foi compilado com uma BUILD mais atual que a BUILD do seu terminal. Tem certeza que atualizou seu MT5 para buid 1915?

Então, tem uma discusão até de qual a versão corrente, se é a 1881 ou a 1915.  Muitos dizem que a 1915 é beta e está dando muita confusão no Validador automático de código, pois esse validador ainda usa a versão antiga.

Quem esta codificando com a 1915 e submete código, está sendo rejeitado...

Eu tenho a 1881 e ainda não tomei update...

Não sei se procede isto... espero que ajude de alguma forma...

;)

Flavio Jarabeck
133333
Flavio Jarabeck  

Aparentemente, BETA...

;)

MetaTrader 5 Platform Beta Build 1910: Unbound drag-and-drop of charts and .Net libraries in MQL5
MetaTrader 5 Platform Beta Build 1910: Unbound drag-and-drop of charts and .Net libraries in MQL5
  • 2018.10.12
  • www.mql5.com
The beta version of the updated MetaTrader 5 platform is to be released on October 14, 2018...
Samuel Manoel De Souza
4892
Samuel Manoel De Souza  
Rogerio Giannetti Torres:

Olá Samuel,

Esse erro é bem claro, o Visual_book foi compilado com uma BUILD mais atual que a BUILD do seu terminal. Tem certeza que atualizou seu MT5 para buid 1915?

Então. Eu estou com versão 1918. Eu já tinha atualizado nas semanas anteriores. Baixei e reinstalei, porém o problema persiste. Outro problema é que ao usar a função ObjectSetInteger(...,OBJPROP_BGCOLOR,..) está alterando a cor dos candles, o que não acontecia em versões anteriores. Inclusive coloquei um tópico sobre esse erro.

Saberia informar onde baixar versões anteriores do MT5 e onde informar esses bugs?

Rogerio Giannetti Torres
3143
Rogerio Giannetti Torres  
Samuel Manoel De Souza:

Então. Eu estou com versão 1918. Eu já tinha atualizado nas semanas anteriores. Baixei e reinstalei, porém o problema persiste. Outro problema é que ao usar a função ObjectSetInteger(...,OBJPROP_BGCOLOR,..) está alterando a cor dos candles, o que não acontecia em versões anteriores. Inclusive coloquei um tópico sobre esse erro.

Saberia informar onde baixar versões anteriores do MT5 e onde informar esses bugs?

Opa Samuel,

no site da meta quotes você baixa a última build(1881) em produção, lembre-se de alterar a configuração de instalação para criar um nova instância.

At.te

Rogério

Samuel Manoel De Souza
4892
Samuel Manoel De Souza  
Rogerio Giannetti Torres:

Opa Samuel,

no site da meta quotes você baixa a última build(1881) em produção, lembre-se de alterar a configuração de instalação para criar um nova instância.

At.te

Rogério

Obrigado.

Flavio Jarabeck
133333
Flavio Jarabeck  
Samuel Manoel De Souza:

Obrigado.

Olá Samuel,

Nos conte se deu certo. Tem um pessoal no Fórum em inglês que está batendo cabeça também...

Abraço!

;)

Samuel Manoel De Souza
4892
Samuel Manoel De Souza  
Minions Labs:

Olá Samuel,

Nos conte se deu certo. Tem um pessoal no Fórum em inglês que está batendo cabeça também...

Abraço!

;)

Eu sempre coloco nos dois fóruns, mas dessa vez não postei. Pode deixar que coloco lá a resposta, se conseguir.
Abraços!

Samuel Manoel De Souza
4892
Samuel Manoel De Souza  
Removi todas as instancias do MT5 e instalei a versão 1881 e após atualizar não houve mais problemas. Consegui fazer o upload normalmente.
Flavio Jarabeck
133333
Flavio Jarabeck  
Samuel Manoel De Souza:
Removi todas as instancias do MT5 e instalei a versão 1881 e após atualizar não houve mais problemas. Consegui fazer o upload normalmente.

Muito bom saber!


Não sei se vale o post, mas hoje tomei um update oficial para a versão 1930. O que pode acarretar mnais perrengues para o pessoal que compartilha código com terminais MT5 antigos... a versão 19XX é um divisor de águas...

;)

Para adicionar comentários, por favor Faça o login ou registrar